### Function

# Gio unix_is_system_device_path

since: 2.56

#### Declaration

    gboolean
    g_unix_is_system_device_path (
      const char* device_path
    )

#### Description

Determines if `device_path` is considered a block device path which is only used in implementation of the OS. This is primarily used for hiding mounted volumes that are intended as APIs for programs to read, and system administrators at a shell; rather than something that should, for example, appear in a GUI. For example, the Linux `/proc` filesystem.

The list of device paths considered ‘system’ ones may change over time.

Available since: 2.56

#### Parameters

`device_path`

  Type: `const char*`

  A device path, e.g. `/dev/loop0` or `nfsd`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `device_path` is considered an implementation detail of the OS.